Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.PathElementContext

- org.apache.groovy.parser.antlr4.GroovyParser.PathElementContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PathElementContext (ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TerminalNode` | `AT()`
    `` | `TerminalNode` | `DOT()`
    `` | `TerminalNode` | `METHOD_POINTER()`
    `` | `TerminalNode` | `METHOD_REFERENCE()`
    `` | `TerminalNode` | `NEW()`
    `` | `TerminalNode` | `SAFE_CHAIN_DOT()`
    `` | `TerminalNode` | `SAFE_DOT()`
    `` | `TerminalNode` | `SPREAD_DOT()`
    `` | `Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `ArgumentsContext` | `arguments()`
    `` | `ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `` | `CreatorContext` | `creator()`
    `` | `int` | `getRuleIndex()`
    `` | `IndexPropertyArgsContext` | `indexPropertyArgs()`
    `` | `NamePartContext` | `namePart()`
    `` | `NamedPropertyArgsContext` | `namedPropertyArgs()`
    `` | `List<? extends NlsContext>` | `nls()`
    `` | `NlsContext` | `nls(int i)`
    `` | `NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public PathElementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AT()

    - #### public TerminalNode DOT()

    - #### public TerminalNode METHOD_POINTER()

    - #### public TerminalNode METHOD_REFERENCE()

    - #### public TerminalNode NEW()

    - #### public TerminalNode SAFE_CHAIN_DOT()

    - #### public TerminalNode SAFE_DOT()

    - #### public TerminalNode SPREAD_DOT()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ArgumentsContext arguments()

    - #### public ClosureOrLambdaExpressionContext closureOrLambdaExpression()

    - #### public CreatorContext creator()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getRuleIndex()

    - #### public IndexPropertyArgsContext indexPropertyArgs()

    - #### public NamePartContext namePart()

    - #### public NamedPropertyArgsContext namedPropertyArgs()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public NonWildcardTypeArgumentsContext nonWildcardTypeArguments()